FAQ
All,

I believe this documentation wiki page is incorrect. The example shows
"features", but this word is not recognized by Karaf.

http://camel.apache.org/twitter-websocket-blueprint-example.html

"features:chooseurl camel 2.12.0"

I believe the commands should be "feature".

"feature:chooseurl camel 2.12.0"

I tried to update the page or add a comment, but it states I do not have
permission.

1. Is this command fix correct?
2. How do I gain access to modify directly?

Cheers,
Michael



--
View this message in context: http://camel.465427.n5.nabble.com/documentation-fix-cannot-update-wiki-page-tp5746411.html
Sent from the Camel - Users mailing list archive at Nabble.com.

Search Discussions

  • MichaelAtSAG at Jan 23, 2014 at 7:08 pm
    This command from the example is also unknown:

    osgi:install -s
    mvn:org.apache.camel/camel-example-twitter-websocket-blueprint/2.12.0

    Do I need to use a specific version of Karaf to follow this example? Will
    this work with camel 2.12.2?



    --
    View this message in context: http://camel.465427.n5.nabble.com/documentation-fix-cannot-update-wiki-page-tp5746411p5746413.html
    Sent from the Camel - Users mailing list archive at Nabble.com.
  • Christoph Emmersberger at Jan 24, 2014 at 9:40 am
    If you want to work with Karaf 3.x, try ‘install’ or ‘bundle:install’ instead of ‘osgi:install’

    camel 2.12.x has been tested with karaf 2.3.2, which does not mean that karaf 3.x won’t work.
    The team has only ensured that all tests have passed on the 2.3.2 version.

    If you want to work with karaf 3.x, please get familiar with the changes made by the Karaf team.
    A good starting point is the command reference (see [1] and [2])

    Best,

    Christoph

    [1] http://karaf.apache.org/manual/latest/commands/commands.html
    [2] http://karaf.apache.org/manual/latest-2.3.x/commands/commands.html


    On 23 Jan 2014, at 20:08, MichaelAtSAG wrote:

    This command from the example is also unknown:

    osgi:install -s
    mvn:org.apache.camel/camel-example-twitter-websocket-blueprint/2.12.0

    Do I need to use a specific version of Karaf to follow this example? Will
    this work with camel 2.12.2?



    --
    View this message in context: http://camel.465427.n5.nabble.com/documentation-fix-cannot-update-wiki-page-tp5746411p5746413.html
    Sent from the Camel - Users mailing list archive at Nabble.com.
  • MichaelAtSAG at Jan 24, 2014 at 6:00 pm
    Thanks Christoph, makes sense, perhaps the example documentation should be
    updated to reflect the karaf 2.3.2 requirement:

    "This example requires running in Apache Karaf / ServiceMix"

    "This example requires running in Apache Karaf / ServiceMix 2.3.2"

    And 3.x works by changing the karaf commands :)



    --
    View this message in context: http://camel.465427.n5.nabble.com/documentation-fix-cannot-update-wiki-page-tp5746411p5746457.html
    Sent from the Camel - Users mailing list archive at Nabble.com.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupusers @
categoriescamel
postedJan 23, '14 at 6:39p
activeJan 24, '14 at 6:00p
posts4
users2
websitecamel.apache.org

People

Translate

site design / logo © 2021 Grokbase